Package com.typesafe.config

## Enum ConfigSyntax

- java.lang.Object
- - java.lang.Enum<ConfigSyntax>
  - - com.typesafe.config.ConfigSyntax

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ConfigSyntax>`

    public enum ConfigSyntax
    extends java.lang.Enum<ConfigSyntax>

The syntax of a character stream (JSON, HOCON aka ".conf", or Java properties).

### Enum Constant Summary

Enum Constants
`CONF` The JSON-superset HOCON format.
`JSON` Pedantically strict JSON format; no comments, no unexpected commas, no duplicate keys in the same object.
`PROPERTIES` Standard Java properties format.

### Method Summary

All Methods Static Methods Concrete Methods
`static ConfigSyntax` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConfigSyntax[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JSON

    public static final ConfigSyntax JSON

Pedantically strict JSON format; no comments, no unexpected commas, no duplicate keys in the same object. Associated with the `.json` file extension and `application/json` Content-Type.

#### CONF

    public static final ConfigSyntax CONF

The JSON-superset HOCON format. Associated with the `.conf` file extension and `application/hocon` Content-Type.

#### PROPERTIES

    public static final ConfigSyntax PROPERTIES

Standard Java properties format. Associated with the `.properties` file extension and `text/x-java-properties` Content-Type.

### Method Detail

#### values

    public static ConfigSyntax[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConfigSyntax c : ConfigSyntax.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConfigSyntax valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null